| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetConfigParmDataRequest Struct Reference
RTP Parameters and Statistics Counters

Get Configuration Parameter Data request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
unsp__ArrayOfString | ConfigDataNameList
| Provides filtering for a specific Configuration Parameter. More...
xsd__boolean * | GetDedicatedGUIParameters
| Provides filtering for Dedicated GUI parameters. More...
enum unsp__ParmMismatchFilter * | ParmMismatchFilter
| Filter Type in conjuction with ConfigDataNameList. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
enum unsp__SortOrder * | SortOrder
| Standard sorting enumeration. More...

## Detailed Description

Get Configuration Parameter Data request.

Used by unsp__GetConfigParmData()

## Member Data Documentation

## ◆ ConfigDataNameList

unsp__ArrayOfString unsp__GetConfigParmDataRequest::ConfigDataNameList

Provides filtering for a specific Configuration Parameter.

required: false

## ◆ GetDedicatedGUIParameters

xsd__boolean* unsp__GetConfigParmDataRequest::GetDedicatedGUIParameters

Provides filtering for Dedicated GUI parameters.

required: false
default value[range]: false

## ◆ OperatorId

xsd__string unsp__GetConfigParmDataRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__GetConfigParmDataRequest::Paging

Standard paging structure.

required: false

## ◆ ParmMismatchFilter

enum unsp__ParmMismatchFilter* unsp__GetConfigParmDataRequest::ParmMismatchFilter

Filter Type in conjuction with ConfigDataNameList.

required: false
default value[range]: FetchAll

## ◆ SortOrder

enum unsp__SortOrder* unsp__GetConfigParmDataRequest::SortOrder

Standard sorting enumeration.

required: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h